Bug 1589549 - [abrt] linsmith: sprintf(): linsmith killed by SIGABRT
Summary: [abrt] linsmith: sprintf(): linsmith killed by SIGABRT
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: linsmith   
(Show other bugs)
Version: 28
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kiara Navarro
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:adb036d31da4826183751a9c61a...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-10 16:28 UTC by Brian Morrison
Modified: 2018-11-10 03:29 UTC (History)
1 user (show)

Fixed In Version: linsmith-0.99.31-1.fc27 linsmith-0.99.31-1.fc29 linsmith-0.99.31-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-11-10 02:27:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.01 KB, text/plain)
2018-06-10 16:28 UTC, Brian Morrison
no flags Details
File: cgroup (331 bytes, text/plain)
2018-06-10 16:28 UTC, Brian Morrison
no flags Details
File: core_backtrace (16.47 KB, text/plain)
2018-06-10 16:28 UTC, Brian Morrison
no flags Details
File: cpuinfo (971 bytes, text/plain)
2018-06-10 16:28 UTC, Brian Morrison
no flags Details
File: dso_list (11.38 KB, text/plain)
2018-06-10 16:28 UTC, Brian Morrison
no flags Details
File: environ (4.21 KB, text/plain)
2018-06-10 16:28 UTC, Brian Morrison
no flags Details
File: limits (1.29 KB, text/plain)
2018-06-10 16:28 UTC, Brian Morrison
no flags Details
File: maps (56.05 KB, text/plain)
2018-06-10 16:28 UTC, Brian Morrison
no flags Details
File: mountinfo (4.05 KB, text/plain)
2018-06-10 16:28 UTC, Brian Morrison
no flags Details
File: open_fds (909 bytes, text/plain)
2018-06-10 16:28 UTC, Brian Morrison
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2018-06-10 16:29 UTC, Brian Morrison
no flags Details
File: var_log_messages (3.35 KB, text/plain)
2018-06-10 16:29 UTC, Brian Morrison
no flags Details

Description Brian Morrison 2018-06-10 16:28:43 UTC
Description of problem:
I entered a capacitor and used the slider to change it.
This movement happened very quickly and the cap value became very large at which point the window disappeared.

Version-Release number of selected component:
linsmith-0.99.30-5.fc27

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        linsmith
crash_function: sprintf
executable:     /usr/bin/linsmith
journald_cursor: s=3794eb333feb43a79e4ecae8bcb61bd9;i=1009b40;b=132b6910c92b4b24901b2b9bdebee375;m=ee31691da;t=56e4c10a17694;x=fd8e1030d4c182d5
kernel:         4.16.14-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Brian Morrison 2018-06-10 16:28:48 UTC
Created attachment 1449700 [details]
File: backtrace

Comment 2 Brian Morrison 2018-06-10 16:28:49 UTC
Created attachment 1449701 [details]
File: cgroup

Comment 3 Brian Morrison 2018-06-10 16:28:50 UTC
Created attachment 1449702 [details]
File: core_backtrace

Comment 4 Brian Morrison 2018-06-10 16:28:51 UTC
Created attachment 1449703 [details]
File: cpuinfo

Comment 5 Brian Morrison 2018-06-10 16:28:53 UTC
Created attachment 1449704 [details]
File: dso_list

Comment 6 Brian Morrison 2018-06-10 16:28:54 UTC
Created attachment 1449705 [details]
File: environ

Comment 7 Brian Morrison 2018-06-10 16:28:55 UTC
Created attachment 1449706 [details]
File: limits

Comment 8 Brian Morrison 2018-06-10 16:28:57 UTC
Created attachment 1449707 [details]
File: maps

Comment 9 Brian Morrison 2018-06-10 16:28:58 UTC
Created attachment 1449708 [details]
File: mountinfo

Comment 10 Brian Morrison 2018-06-10 16:28:59 UTC
Created attachment 1449709 [details]
File: open_fds

Comment 11 Brian Morrison 2018-06-10 16:29:00 UTC
Created attachment 1449710 [details]
File: proc_pid_status

Comment 12 Brian Morrison 2018-06-10 16:29:01 UTC
Created attachment 1449711 [details]
File: var_log_messages

Comment 13 Fedora Update System 2018-10-27 23:09:44 UTC
linsmith-0.99.31-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8def163312

Comment 14 Fedora Update System 2018-10-27 23:09:53 UTC
linsmith-0.99.31-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-cd3991ca0d

Comment 15 Fedora Update System 2018-10-27 23:10:01 UTC
linsmith-0.99.31-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-33113583dd

Comment 16 Fedora Update System 2018-10-28 18:47:03 UTC
linsmith-0.99.31-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-cd3991ca0d

Comment 17 Fedora Update System 2018-10-28 18:54:52 UTC
linsmith-0.99.31-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-33113583dd

Comment 18 Fedora Update System 2018-10-31 18:50:29 UTC
linsmith-0.99.31-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8def163312

Comment 19 Fedora Update System 2018-11-10 02:27:23 UTC
linsmith-0.99.31-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-11-10 03:17:33 UTC
linsmith-0.99.31-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-11-10 03:29:01 UTC
linsmith-0.99.31-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.